Bug 1290109 - [abrt] gtk3-devel: find_class_funcs(): gtk3-widget-factory killed by SIGSEGV
[abrt] gtk3-devel: find_class_funcs(): gtk3-widget-factory killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c59b884877e5145f6a7710e6f31...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 11:45 EST by Christian Stadelmann
Modified: 2016-12-20 11:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:50:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (70.59 KB, text/plain)
2015-12-09 11:45 EST, Christian Stadelmann
no flags Details
File: core_backtrace (34.76 KB, text/plain)
2015-12-09 11:45 EST, Christian Stadelmann
no flags Details
File: dso_list (10.15 KB, text/plain)
2015-12-09 11:45 EST, Christian Stadelmann
no flags Details
File: exploitable (100 bytes, text/plain)
2015-12-09 11:45 EST, Christian Stadelmann
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-09 11:45 EST, Christian Stadelmann
no flags Details
File: maps (51.95 KB, text/plain)
2015-12-09 11:45 EST, Christian Stadelmann
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-09 11:45 EST, Christian Stadelmann
no flags Details
File: open_fds (1.88 KB, text/plain)
2015-12-09 11:45 EST, Christian Stadelmann
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-12-09 11:45 EST, Christian Stadelmann
no flags Details

  None (edit)
Description Christian Stadelmann 2015-12-09 11:45:19 EST
Version-Release number of selected component:
gtk3-devel-3.18.6-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gtk3-widget-factory
crash_function: find_class_funcs
executable:     /usr/bin/gtk3-widget-factory
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 find_class_funcs at inspector/object-tree.c:506
 #1 gtk_inspector_object_tree_find_object at inspector/object-tree.c:524
 #4 gtk_object_tree_remove_dead_object at inspector/object-tree.c:616
 #5 weak_refs_notify at gobject.c:2634
 #7 g_hash_table_remove_all_nodes at ghash.c:548
 #8 g_hash_table_remove_all at ghash.c:1425
 #10 g_hash_table_destroy at ghash.c:1122
 #11 g_hash_table_remove_all_nodes at ghash.c:548
 #12 g_hash_table_remove_all at ghash.c:1425
 #14 g_hash_table_destroy at ghash.c:1122
Comment 1 Christian Stadelmann 2015-12-09 11:45:23 EST
Created attachment 1103992 [details]
File: backtrace
Comment 2 Christian Stadelmann 2015-12-09 11:45:25 EST
Created attachment 1103993 [details]
File: core_backtrace
Comment 3 Christian Stadelmann 2015-12-09 11:45:27 EST
Created attachment 1103994 [details]
File: dso_list
Comment 4 Christian Stadelmann 2015-12-09 11:45:28 EST
Created attachment 1103995 [details]
File: exploitable
Comment 5 Christian Stadelmann 2015-12-09 11:45:29 EST
Created attachment 1103996 [details]
File: limits
Comment 6 Christian Stadelmann 2015-12-09 11:45:31 EST
Created attachment 1103997 [details]
File: maps
Comment 7 Christian Stadelmann 2015-12-09 11:45:33 EST
Created attachment 1103998 [details]
File: namespaces
Comment 8 Christian Stadelmann 2015-12-09 11:45:34 EST
Created attachment 1103999 [details]
File: open_fds
Comment 9 Christian Stadelmann 2015-12-09 11:45:36 EST
Created attachment 1104000 [details]
File: proc_pid_status
Comment 10 Fedora End Of Life 2016-11-24 09:06:24 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2016-12-20 11:50:34 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.